php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #4628 Apache core dumps when --with-openlink and --with-apxs are used together
Submitted: 2000-05-26 23:06 UTC Modified: 2000-05-27 16:56 UTC
From: vince at mha dot ca Assigned:
Status: Closed Package: Dynamic loading
PHP Version: 4.0.0 Release OS: Linux 2.2.x
Private report: No CVE-ID: None
 [2000-05-26 23:06 UTC] vince at mha dot ca
Apache core dumps when --with-openlink and --with-apxs are used together

System Info (Tried on the following machines)

P2 350 w/256M RAM
RedHat 6.1
Kernel 2.2.5
All required development libraries
Apache 1.3.12 (Tried as far back as Apache 1.3.6)

Dual Celeron 400 w/256M RAM
RedHat 6.2
Kernel 2.2.14
All required development libraries
Apache 1.3.12 (Tried Apache 1.3.11)

---

This is my configure line
./configure --with-mysql --with-pgsql --with-openlink --with-ftp --enable-xml --enable-track-vars --disable-debug --disable-inline --with-gd --with-ttf --with-freetype-4bit-antialias-hack

and it compiles and works no problems (CGI Module)

when I add --with-apxs=/usr/local/apache/bin/apxs and compile it apache core dumps when I try to start it, if I comment out the LoadModule php4 line it loads fine. Apache does not give an error it just core dumps instantly when I do "apachectl start"

the only way I can get apache to load when using --with-openlink is to use --with-apache=/usr/local/src/apache_1.3.12 and recompile the apache source code with the php4 module compiled into it


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-05-27 16:56 UTC] thies at cvs dot php dot net
looks like the openlink library is linked against libpthread.

please relink your apache adding -lpthread to the LDFLAGS.
 
the problem here is that a executable thats *not* linked
agains -lpthread cannot load a shared library that is liked
against -lpthread. (libphp4.so - linked against -lclntsh
linked against -lpthread).
 
this is a glibc-2.1 bug that supposed to be finxed in 2.2 (i heard).


 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Sun Aug 09 18:34:40 2020 UTC